List RTO movements
curl --request GET \
--url https://devapi.eazecustoms.com/staging/v1/movements \
--header 'Authorization: Bearer <token>'import requests
url = "https://devapi.eazecustoms.com/staging/v1/movements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devapi.eazecustoms.com/staging/v1/movements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"movementId": "mov_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"shipmentId": "shp_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"action": "ISL",
"status": "SENT",
"processType": "IMPORT_HANDLING",
"trigger": "API",
"originalMovementId": null,
"createdAt": "2026-06-10T08:30:00.000Z",
"updatedAt": "2026-06-10T08:31:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 1,
"totalPages": 1
}
}
RTO
List RTO movements
Paginated list of RTO movements across shipments, or for one shipment.
GET
/
v1
/
movements
List RTO movements
List RTO movements across every shipment, or filter to one shipment with
shipmentId.
Query Parameters
integer
default:"1"
Page number (minimum
1).integer
default:"20"
Page size (minimum
1, maximum 100).string
Shipment Public ID (
shp_…) to scope the list.string
Movement status. Allowed values:
QUEUED, SENT, ACCEPTED, REJECTED, FAILED, CANCELLED.string
Provider action code, for example
VAH, ISL, or USC.string
Filter movements created on or after this date (
YYYY-MM-DD).string
Filter movements created on or before this date (
YYYY-MM-DD).string
default:"desc"
Sort order. Allowed values:
asc, desc.{
"data": [
{
"movementId": "mov_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"shipmentId": "shp_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"action": "ISL",
"status": "SENT",
"processType": "IMPORT_HANDLING",
"trigger": "API",
"originalMovementId": null,
"createdAt": "2026-06-10T08:30:00.000Z",
"updatedAt": "2026-06-10T08:31:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 1,
"totalPages": 1
}
}